.product__title.with-price {
  grid-template-columns: minmax(0, 1fr) auto;
}

@supports (text-wrap: balance) {
  .banner__title,
  .banner__title .split-words,
  .product__title > .heading,
  .product__title > .heading .split-words,
  .size-style.heading,
  .size-style.heading .split-words,
  .title-wrapper .heading,
  .title-wrapper .heading .split-words {
    text-wrap: balance;
  }
}
